// import all the prompts
import 'package:console/console.dart';
import 'package:dart_inquirer/src/question.dart';

class Prompt {
  List<Question> questions;
  Map answers = {};

  Prompt(this.questions);

  /// Returns a List wich contains a Map
  Future<Map> execute() {
    try {
      Console.resetAll();
      questions.forEach((q) {
        if (q.skipIf(answers)) {
          print(format("[{color.yellow}${Icon.CHECKMARK}{color.normal}] {@yellow}Skipped question{@normal} ${q.name}"));
        } else {
          q.ask();
          answers.addAll({q.name.toLowerCase().trim(): q.answer});
          Console.previousLine();
          print(format("[{color.green}${Icon.CHECKMARK}{color.normal}]"));
        }
      });
      return Future(() => answers);
    } catch (e) {
      Console.previousLine();
      print(format("[{color.red}${Icon.BALLOT_X}{color.normal}]"));
      print(format("[{@red}${Icon.BALLOT_X}{@normal}] {@red}${e}{@normal}"));
      return Future(() => answers);
    }
  }
}
