import 'package:console/console.dart';
import 'package:dart_inquirer/src/question.dart';

/// Simple Y/N Question
class ConfirmQuestion implements Question {
  @override
  String message;

  @override
  String name;

  @override
  var answer;

  Function skipIf = (_) => false;

  /// Prefer either Y or N, standart is Y
  bool preferN;

  ConfirmQuestion(
    this.name,
    this.message,
    {
    this.preferN = false,
    this.skipIf
  }){
    skipIf == null ? skipIf = (_) => false : null;
  }

  @override
  void ask() {
    answer = Prompter(
      format("[ ] ${message} ${preferN ? ' (y/N) ' : ' (Y/n) '}"),
    ).askSync();
  }
}
